org.springframework.messaging.handler.annotation

## Annotation Type MessageExceptionHandler

    @Target(value=METHOD)
     @Retention(value=RUNTIME)
     @Documented
    public @interface MessageExceptionHandler

Annotation for handling exceptions thrown from message-handling methods within a specific handler class.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Optional Element Summary

Optional Elements
`Class<? extends Throwable>[]` `value` Exceptions handled by the annotated method.

### Element Detail

#### value

    public abstract Class<? extends Throwable>[] value

Exceptions handled by the annotated method. If empty, will default to any exceptions listed in the method argument list.

Default:
  {}